### Function

# Gimp ConfigInterface diff

since: 2.4

#### Declaration [src]

    GList*
    gimp_config_diff (
      GObject* a,
      GObject* b,
      GParamFlags flags
    )

#### Description [src]

Compares all properties of `a` and `b` that have all `flags` set. If `flags` is 0, all properties are compared.

If the two objects are not of the same type, only properties that exist in both object classes and are of the same value_type are compared.

Available since: 2.4

#### Parameters

`a`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

`b`

  Type: `GObject`

  Another `GObject` object.

  The data is owned by the caller of the function.

`flags`

  Type: `GParamFlags`

  A mask of GParamFlags.

#### Return value

Type: A list of `GObject.ParamSpec*`

A GList of differing GParamSpecs.

The caller of the function takes ownership of the data container, but not the data inside it.